CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.org] OpenFoam 2.1.1 not completely works in Debian jessie

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   July 9, 2015, 00:26
Default OpenFoam 2.1.1 not completely works in Debian jessie
  #1
Member
 
David Long
Join Date: May 2012
Location: Germany
Posts: 76
Rep Power: 10
keepfit is on a distinguished road
Dear Foamers,

for some reason, I wont update my OpenFoam 2.1.1 to the latest version. However, I upgraded my system from Debian 7.0 to 8.0., i.e. the compile environment upgraded.

I experienced some problems:

1) ./Allwmake in the src folder, all passed. However, to compile all "applications", especially some solvers in combustion, the libbasicThermophysicalModels.so seems compiled not correctly or something, although I did "wmake libso" for it several times.

2) Some common solvers such as interFoam seem working. But they wont work in parallel run.

Code:
$ mpirun -np 2 interFoam -parallel

--------------------------------------------------------------------------
It looks like opal_init failed for some reason; your parallel process is
likely to abort.  There are many reasons that a parallel process can
fail during opal_init; some of which are due to configuration or
environment problems.  This failure appears to be an internal failure;
here's some additional information (which may only be relevant to an
Open MPI developer):

  opal_shmem_base_select failed
  --> Returned value -1 instead of OPAL_SUCCESS
--------------------------------------------------------------------------
[FLY:19226] [[INVALID],INVALID] ORTE_ERROR_LOG: Error in file runtime/orte_init.c at line 79
[FLY:19226] [[INVALID],INVALID] ORTE_ERROR_LOG: Error in file orterun.c at line 694
Debian Jessie:

Cmake version: 3.0.2
GCC:4.9
OpenMPI: 1.5.3 or system installed 1.6.5

Thanks in advance
keepfit is offline   Reply With Quote

Old   July 18, 2015, 17:46
Default
  #2
Retired Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,956
Blog Entries: 45
Rep Power: 122
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Greetings David,

Are you doing a clean build? Or did you copy the OpenFOAM 2.1.1 version you had installed in your previous machine?
In other words, can you please provide more details on the steps you've taken?

Best regards,
Bruno
__________________
wyldckat is offline   Reply With Quote

Reply

Tags
compilation error, openfoam 2.1.1, parallel error

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
OpenFOAM course for beginners Jibran OpenFOAM Announcements from Other Sources 3 July 1, 2020 09:58
OpenFOAM Training Jan-Jul 2017, Virtual, London, Houston, Berlin CFDFoundation OpenFOAM Announcements from Other Sources 0 January 4, 2017 06:15
Suggestion for a new sub-forum at OpenFOAM's Forum wyldckat Site Help, Feedback & Discussions 20 October 28, 2014 09:04
Installing OpenFOAM 2.1.1 and ParaView 3.12.0 on Ubuntu 12.10 wyldckat OpenFOAM Installation 14 February 12, 2013 04:43
Problem in recompiling a turbulence model in OpenFoam 2.1.1 pascool OpenFOAM Programming & Development 6 October 3, 2012 12:03


All times are GMT -4. The time now is 16:36.